.pulse {
  border-radius: 50%;
  width: 3.5rem;
  height: 3.5rem;
  background-color: rgb(80, 80, 80);
  animation: pulse 2300ms infinite;
  box-shadow: 0 0 0 0 rgb(253, 229, 176);
  transform: scale(1);
  display: flex;
  justify-content: center;
  align-items: center;
}

@keyframes pulse {
  0% {
    transform: scale(0.8);
    box-shadow: 0px 0px 0 0 rgba(223, 223, 223, 0.94);
  }

  65% {
    transform: scale(1);
    background-color: rgb(255, 206, 80);
    box-shadow: 0 0 5px 35px rgba(190, 190, 190, 0);
  }

  100% {
    transform: scale(0.8);
    box-shadow: 0 0 0 0 rgba(53, 53, 53, 0);
  }
}

.pulse img {
  width: 80%;
  height: 90%;
}

/* CHAT ========================================================================================================================================= */

.chat-close {
  position: absolute;
  right: 1rem;
  top: .8rem;
  cursor: pointer;
}

.pulse_div {
  position: fixed;
  width: auto;
  height: auto;
  right: 2rem;
  bottom: 1.5rem;
  z-index: 1200;
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  gap: 1rem;
}

.chat {
  border: 0.5px rgba(0, 135, 255, 0.4) solid;
  width: 15rem;
  max-width: 20rem;
  height: 25rem;
  right: 2rem;
  bottom: 10rem;
  border-radius: 0.5rem;
  display: none;
  flex-direction: column;
  justify-content: space-between;
  box-shadow: 5px 5px 15px rgba(200, 200, 200);
}

.chat_heading {
  top: 0em;
  width: 100%;
  height: 4em;
  background-color: rgb(0, 135, 255);
  box-sizing: border-box;
  padding: 1em;
  border-top-left-radius: 0.5em;
  border-top-right-radius: 0.5em;
  color: rgb(103, 184, 255);
  text-align: center;
}

.chat_body {
  width: 100%;
  height: 100%;
  overflow: scroll;
  box-sizing: border-box;
  padding: 0.5em;
  background-color: white;
  -ms-overflow-style: none;
  /* IE and Edge */
  scrollbar-width: none;
  /* Firefox */
  border: none;
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
}

.chat_body::-webkit-scrollbar {
  display: none;
}

.chat-bubble-me {
  width: 65%;
  height: auto;
  border: 0.5px rgba(100, 180, 255) solid;
  background-color: rgb(255, 255, 255);
  border-top-left-radius: 1em;
  border-top-right-radius: 1em;
  border-bottom-right-radius: 1em;
  margin: 0.5em auto 0.5em 0.5em;
  padding: 1em;
  color: rgba(100, 180, 255);
  font-size: 0.8em;
}

.chat-bubble-other {
  width: 65%;
  height: auto;
  background-color: rgb(100, 180, 255);
  border-top-left-radius: 1em;
  border-top-right-radius: 1em;
  border-bottom-left-radius: 1em;
  margin: 0.5em 0.5em 0.5em auto;
  padding: 1em;
  color: white;
  font-size: 0.8em;
  text-align: right;
}

.texting_area {
  top: 0em;
  width: 100%;
  height: 5em;
  background-color: rgb(255, 255, 255);
  border-top: 1px rgba(0, 136, 255, 0.5) solid;
  box-sizing: border-box;
  padding: 0.5em;
  font-size: 0.8em;
  border-bottom-right-radius: 0.5em;
  border-bottom-left-radius: 0.5em;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
}

.chat_texting {
  margin-left: 1em;
  padding: 1em;
  overflow: scroll;
  -ms-overflow-style: none;
  /* IE and Edge */
  scrollbar-width: none;
  /* Firefox */
  border: none;
}

.chat_texting::-webkit-scrollbar {
  display: none;
}

.chat_send_btn img {
  width: 1.5em;
  padding: 1em;
}

@media screen and (min-width: 600px) {
  
  .pulse {
    width: 4.5rem;
    height: 4.5rem;
    bottom: 2.5rem;
    right: 2.5rem;
  }

  .chat {
    border: 0.5px rgba(0, 135, 255, 0.4) solid;
    width: 18rem;
  }
}